Foreman - Bug #2472

"User is already in this hostgroup"” when new hostgroup created by owner of an ancestor

05/07/2013 12:21 PM - Dominic Cleal

Status: Closed

Priority: Normal
Assignee: Daniel Lobato Garcia
Category:

Target version: 1.2.0

Difficulty:

Triaged:

Bugzilla link:

Pull request:

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

a User is creating a new hostgroup
this user owns any of its ancestors

the Hostgroup creation will work, but shows an error "User is already in this Hostgroup", because indeed the User already owns that
Hostgroup (that happens in line 61) and you are trying to add the User to this Hostgroup twice.

https://github.com/theforeman/foreman/pull/576

Associated revisions

Revision 7d8c71bc - 05/07/2013 12:22 PM - Daniel Lobato Garcia

fixes #2472 - prevent duplicate users from hostgroup ancestors

History

#1 - 05/07/2013 12:22 PM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

#2 - 05/07/2013 02:12 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7d8c71bc4000ca9f2cc1284f71346a830842b86e.

05/18/2024

1/1



https://github.com/theforeman/foreman/pull/576
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7d8c71bc4000ca9f2cc1284f71346a830842b86e
http://www.tcpdf.org

